"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.allBanks = exports.clearingNumbers = exports.bankName = void 0;
var clearingNumbers_1 = require("./clearingNumbers");
var isInput = function (input, value) {
    return value.toString() === (input === null || input === void 0 ? void 0 : input.toString());
};
var withinRange = function (input, _a) {
    var max = _a.max, min = _a.min;
    return input > min && input < max;
};
var isBoundaryValue = function (input, _a) {
    var max = _a.max, min = _a.min;
    return isInput(input, min) || isInput(input, max);
};
var findBank = function (input) { return function (range) {
    return isBoundaryValue(input, range) || withinRange(input, range);
}; };
exports.bankName = function (input) { var _a, _b; return (_b = (_a = clearingNumbers_1.default.find(function (_a) {
    var ranges = _a.ranges;
    return !!ranges.find(findBank(input));
})) === null || _a === void 0 ? void 0 : _a.bank) !== null && _b !== void 0 ? _b : ''; };
exports.clearingNumbers = function (name) { var _a, _b; return (_b = (_a = clearingNumbers_1.default.find(function (_a) {
    var bank = _a.bank;
    return bank === name;
})) === null || _a === void 0 ? void 0 : _a.ranges) !== null && _b !== void 0 ? _b : []; };
exports.allBanks = function () { return clearingNumbers_1.default.map(function (bank) { return bank.bank; }); };
exports.default = {
    allBanks: exports.allBanks,
    bankName: exports.bankName,
    clearingNumbers: exports.clearingNumbers,
};
